**Source URL:** https://limited.veevavault.dev/safety/vault-api/api-reference/24.1/expected-document-lists/add-edl-matched-documents.md

# Add EDL Matched Documents



Add matched documents to EDL Items. You must have a security profile that grants the *Application: EDL Matching: Edit Document Matches* permission, and EDL Matched Document APIs must be enabled in your Vault. To enable this feature, contact [Veeva Support](https://support.veeva.com/hc/en-us).

<Endpoint path="/api/{version}/objects/edl_matched_documents/batch/actions/add" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/json` (default) or `text/csv` |
| `Accept` | `application/json` (default) |
</FieldTable>

## Body Parameters {#body-parameters}

Expressed as JSON or CSV.

<FieldTable>
| Name | Description |
| --- | --- |
| `id` | The EDL Item `id` to match to documents. EDL Item records and their parent records must have a `status__v` of `active__v`. |
| `document_id` | The document `id` to match to an EDL Item. |
| `major_version_number__v` | The major version number of a document. You must also include `minor_version_number__v` to use this parameter. |
| `minor_version_number__v` | The minor version number of a document. You must also include `major_version_number__v` to use this parameter. |
| `lock` | If set to `true`, locks the EDL Item to match a specific steady state document version or, if version numbers are omitted, the latest steady state document version. If set to `false` or omitted, and version numbers are omitted, Vault matches the latest version of the document without regard to state. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -L -X POST -H 'Authorization: {SESSION_ID}' \
-H 'Content-Type: application/json' \
--data-raw '[
   {
       "id": "0EI000000003001",
       "document_id": "21",
       "major_version_number__v": 1,
       "minor_version_number__v": 0,
       "lock": true
   }
]'
'https://myvault.veevavault.com/api/v20.3/objects/edl_matched_documents/batch/actions/add' \

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
   "responseStatus": "SUCCESS",
   "data": [
       {
           "responseStatus": "SUCCESS",
           "id": "0EI000000003001",
           "document_id": "21",
           "major_version_number__v": "1",
           "minor_version_number__v": "0",
           "lock": "true"
       }
   ]
}

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, the response includes a `SUCCESS` or `FAILURE` status and any applicable error messages for each EDL Item to document match in the body of your request.



---

**Previous:** [Update Node Order](/safety/vault-api/api-reference/24.1/expected-document-lists/update-node-order)  
**Next:** [Remove EDL Matched Documents](/safety/vault-api/api-reference/24.1/expected-document-lists/remove-edl-matched-documents)